<?php
function removeTree($rootDir)
/**
*  Função para remover um diretório sem ter que apagar manualmente cada arquivo e pasta dentro dele
*
*  ATENÇÃO!
*
*  Muito cuidado ao utilizar esta função! Ela apagará todo o conteúdo dentro do diretório
*  especificado sem pedir qualquer confirmação. Os arquivos não poderão ser recuperados.
*  Portanto, só utilize-a se tiver certeza de que deseja apagar o diretório.
*
*
*  Autor: Carlos Reche
*  E-mail: carlosreche@yahoo.com
*
*  Por favor, mantenha os créditos : )
*
*/
{
    if (!is_dir($rootDir))
    {
        return false;
    }

    if (!preg_match("/\\/$/", $rootDir))
    {
        $rootDir .= '/';
    }


    $stack = array($rootDir);

    while (count($stack) > 0)
    {
        $hasDir = false;
        $dir    = end($stack);
        $dh     = opendir($dir);

        while (($file = readdir($dh)) !== false)
        {
            if ($file == '.'  ||  $file == '..')
            {
                continue;
            }

            if (is_dir($dir . $file))
            {
                $hasDir = true;
                array_push($stack, $dir . $file . '/');
            }

            else if (is_file($dir . $file))
            {
                unlink($dir . $file);
            }
        }

        closedir($dh);

        if ($hasDir == false)
        {
            array_pop($stack);
            rmdir($dir);
        }
    }

    return true;
}
?>